org.apache.myfaces.trinidad.event

## Class RangeChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.apache.myfaces.trinidad.event.RangeChangeEvent

- All Implemented Interfaces:
    Serializable

      public class RangeChangeEvent
      extends javax.faces.event.FacesEvent

  A RangeChangeEvent is a notification that the range of the source component has been changed as a result of user interface activity. It contains the old start and end values and the new start and end values.

  Version:
    $Name: $ ($Revision: adfrt/faces/adf-faces-api/src/main/java/oracle/adf/view/faces/event/RangeChangeEvent.java#0 $) $Date: 10-nov-2005.19:09:04 $
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeChangeEvent(javax.faces.component.UIComponent source, int oldStart, int oldEnd, int newStart, int newEnd)` Construct a new event object from the specified source component, old start (inclusive), old end (exclusive), new start (inclusive) and new end (exclusive).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getNewEnd()` Returns the new end, exclusive.
    `int` | `getNewStart()` Returns the new start, inclusive.
    `int` | `getOldEnd()` Returns the old end of the range, exclusive.E.g., if the old range was for the first 5 items, oldEnd would be 5.
    `int` | `getOldStart()` Returns the old start of the range, inclusive.
    `int` | `hashCode()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`
    `String` | `toString()`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RangeChangeEvent

          public RangeChangeEvent(javax.faces.component.UIComponent source,
                          int oldStart,
                          int oldEnd,
                          int newStart,
                          int newEnd)

      Construct a new event object from the specified source component, old start (inclusive), old end (exclusive), new start (inclusive) and new end (exclusive).
      Parameters:
        `source` - - Source UIComponent for this event
        `oldStart` - - The previous start of this UIComponent's selected range, inclusive
        `oldEnd` - - The previous end of this UIComponent's selected range, exclusive
        `newStart` - - The new start of this UIComponent's selected range, inclusive
        `newEnd` - - The new end of this UIComponent's selected range, exclusive

  - ### Method Detail

    - #### getOldStart

          public int getOldStart()

      Returns the old start of the range, inclusive. E.g., if the old range was for the first 5 items, oldStart would be 0.

    - #### getOldEnd

          public int getOldEnd()

      Returns the old end of the range, exclusive.E.g., if the old range was for the first 5 items, oldEnd would be 5.

    - #### getNewStart

          public int getNewStart()

      Returns the new start, inclusive. E.g., if the new range is for the second 5 items, newStart would be 5.

    - #### getNewEnd

          public int getNewEnd()

      Returns the new end, exclusive. E.g., if the new range is for the second 5 items, newEnd would be 10.

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `EventObject`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.